Bug 249079 - Please build latest amavisd-new for EPEL 4 and 5
Please build latest amavisd-new for EPEL 4 and 5
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: amavisd-new (Show other bugs)
el5
All Linux
low Severity medium
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
bzcl34nup
: Triaged
: 297121 (view as bug list)
Depends On: 249081 250839 250845 250846 250848 250851 250860 250862 250863 250865 250867 250869 290621 426214 426217 427082
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-20 15:15 EDT by Robert Scheck
Modified: 2013-12-08 08:45 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-08 08:45:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2007-07-20 15:15:25 EDT
Description of problem:
Please build latest amavisd-new for EPEL 4 and 5.

Version-Release number of selected component (if applicable):
amavisd-new-2.5.2-1

Additional info:
Please let me know, if you just don't want to be the maintainer for the 
amavisd-new EPEL packages...
Comment 1 Steven Pritchard 2007-07-20 15:32:38 EDT
AFAIK, we're still missing a bunch of dependencies.

Setting up a test box (or VM) to verify is on my list of things to do.

And yes, I do intend to maintain amavisd-new (and most of the rest of my 
packages) for EPEL, but unravelling all the dependencies to get things 
bootstrapped is difficult.
Comment 2 Robert Scheck 2007-07-20 15:43:58 EDT
I see. I'll try to support you where possible. My employer maybe uses RHEL/ 
compatible for the new mail servers running clamav + amavisd-new. If we could 
use EPEL packages, I'm also willing to maintain some. But this isn't fix yet 
at all (whether RHEL or not). Nevertheless it would be an advantage for EPEL.
Comment 3 Steven Pritchard 2007-07-20 16:00:19 EDT
If you want to help, find me a way to graph all the build and run-time 
dependencies.  :-)
Comment 4 Robert Scheck 2007-07-20 16:07:40 EDT
http://home.comcast.net/~prarit/thetango/
Comment 5 Johan Kok 2007-07-31 09:22:36 EDT
Robert already requested EPEL 4 and 5 branches for clamav in bug #249081

I could start with requesting EPEL branches for a few other dependencies, but if a clamav branch is not 
possible, that sounds quite pointless to me.
Comment 6 Robert Scheck 2007-07-31 09:27:55 EDT
Clamav is possible and already branched to EPEL but in an older version which 
can't be upgraded, because it breaks EPEL guidelines. IIRC the older clamav has 
the problem, that it can't read newer signatures - that's worse.
Comment 7 Steven Pritchard 2007-07-31 11:06:30 EDT
(In reply to comment #6)
> Clamav is possible and already branched to EPEL but in an older version 
which 
> can't be upgraded, because it breaks EPEL guidelines. IIRC the older clamav 
has 
> the problem, that it can't read newer signatures - that's worse.

I can't imagine why anyone would want an old, insecure version of clamav in 
EPEL.  We need to use whatever works.
Comment 8 Robert Scheck 2007-08-03 19:37:19 EDT
Sorry for the Bugzilla spam. I think, now I filed any missing build and run-
time dependencies into bug reports requesting the packages rebuilt for EPEL.

Steven, the main problem of clamav 0.88.x vs. 0.9x.x IIRC is, that the 
configuration files got incompatible and you can't simply upgrade without 
breaking things. As I got informed, wtogami wanted to look into, but nothing 
happened, yet? Warren? Any status?
Comment 9 Warren Togami 2007-09-13 15:51:38 EDT
I have nothing to do with clamav.
Comment 10 Steven Pritchard 2007-09-19 20:11:14 EDT
*** Bug 297121 has been marked as a duplicate of this bug. ***
Comment 11 Robert Scheck 2007-12-16 13:56:13 EST
Steven? You imported an old version of amavisd-new into EPEL 5 but none into
EPEL 4 - is this correct and why? And why is an old version in EPEL 5? Latest
version from Fedora Rawhide seems to work for me (on both).
Comment 12 Steven Pritchard 2007-12-17 11:47:48 EST
I'll build the latest version on both branches as soon as all of the
dependencies are met.

It's *really* close now.
Comment 13 Robert Scheck 2007-12-19 07:38:17 EST
I discovered two missing dependencies on RHEL 4 and filed bug reports.
Comment 14 Bug Zapper 2008-04-04 09:25:20 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 15 Robert Scheck 2008-04-15 17:03:37 EDT
Steven, ping?
Comment 16 Steven Pritchard 2008-05-01 15:38:32 EDT
Let me see where all the dependencies are at and get back to you.

What little Fedora time I have at the moment is being spent on getting things
right for Fedora 9 though, so it might be a couple of weeks or so before I have
an answer for you.
Comment 17 Bug Zapper 2008-05-13 23:05:19 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Robert Scheck 2008-07-05 18:20:48 EDT
Ping?
Comment 19 Steven Pritchard 2008-07-09 12:26:53 EDT
I'm going to work on updating rawhide to the latest version (see bug 454442), so
while I'm at it, I'll try to figure out what it will take to get that into EL-5
at least.
Comment 20 Bug Zapper 2008-11-25 20:57:50 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Robert Scheck 2009-03-19 15:48:45 EDT
Working against bug zapper once more...Rawhide.
Comment 22 Johan Kok 2009-03-23 04:30:15 EDT
(In reply to comment #19)
> I'm going to work on updating rawhide to the latest version (see bug 454442), so
> while I'm at it, I'll try to figure out what it will take to get that into EL-5
> at least.  

The amavisd-new package in rawhide was updated to version 2.6.2. A local mock rebuild of that SRPM from rawhide completes without a problem for EL-5 and EL-4.

Please let me know if I there is something I can assist with to get amavisd-new updated.
Comment 23 Bug Zapper 2009-06-09 05:16:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 24 Johan Kok 2009-07-25 08:45:14 EDT
Changing version back to rawhide and ping. Steven, how close are we to finishing this one?
Comment 25 Bug Zapper 2009-11-16 02:56:35 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 26 Sandro Janke 2010-03-25 16:45:14 EDT
All bugs that this one depends on appear to be resolved. Latest f12 release rebuilds fine for EPEL 4 and 5 [1,2]. When will this version be released to EPEL?

[1] https://koji.fedoraproject.org/koji/taskinfo?taskID=2076064
[2] https://koji.fedoraproject.org/koji/taskinfo?taskID=2076025
Comment 27 Johan Kok 2010-04-16 08:20:56 EDT
Changing back version to rawhide. Can I do anything to help resolve this issue?
Comment 28 Bug Zapper 2010-11-04 08:08:56 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 29 Fedora End Of Life 2013-04-03 16:16:30 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 30 Christopher Meng 2013-11-18 04:13:51 EST
RHEL4 is unsupported now, so is EPEL4.

EPEL5 still ships 2.4 series, as I'm not familiar with EL5, hope the assignee can give a perfect solution(Or WONTFIX is OK)

I requested update to EPEL6 and got nice results so I think there should only have issue with EPEL5, re-assign to EPEL.
Comment 31 Robert Scheck 2013-12-08 08:45:41 EST
As the initial reporter I am satisfied with the current results (given that I
spend some love from time to time to amavisd-new on Fedora and Fedora EPEL 6).

Note You need to log in before you can comment on or make changes to this bug.